Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface ViewCriteriaManager

All Known Implementing Classes:
  ViewObjectImpl

public interface ViewCriteriaManager

Method Summary
`void` | `applyViewCriteria(ViewCriteria vc)`
`CriteriaClauses` | `buildViewCriteriaClauses(ViewCriteria vc)`
`void` | `clearViewCriterias()`
`void` | `criteriaChanged(ViewCriteria vc)`
`java.lang.String[]` | `getAllViewCriteriaNames()`
`ViewCriteria[]` | `getAllViewCriterias()`
`java.lang.String[]` | `getApplyViewCriteriaNames()`
`ViewCriteria[]` | `getApplyViewCriterias(int criteriaMode)`
`ViewCriteria` | `getViewCriteria()`
`ViewCriteria` | `getViewCriteria(java.lang.String name)`
`java.lang.String` | `getViewCriteriaClause(boolean forQuery)`
`void` | `putViewCriteria(java.lang.String name, ViewCriteria vc)`
`boolean` | `removeApplyViewCriteriaName(java.lang.String name)`
`ViewCriteria` | `removeViewCriteria(java.lang.String name)`
`void` | `setApplyViewCriteriaName(java.lang.String name)`
`void` | `setApplyViewCriteriaNames(java.lang.String[] names)`

Method Detail

### clearViewCriterias

    public void clearViewCriterias()

### applyViewCriteria

    public void applyViewCriteria(ViewCriteria vc)

### getViewCriteria

    public ViewCriteria getViewCriteria()

### getViewCriteria

    public ViewCriteria getViewCriteria(java.lang.String name)

### putViewCriteria

    public void putViewCriteria(java.lang.String name,
                                ViewCriteria vc)

### removeViewCriteria

    public ViewCriteria removeViewCriteria(java.lang.String name)

### getApplyViewCriteriaNames

    public java.lang.String[] getApplyViewCriteriaNames()

### setApplyViewCriteriaNames

    public void setApplyViewCriteriaNames(java.lang.String[] names)

### setApplyViewCriteriaName

    public void setApplyViewCriteriaName(java.lang.String name)

### removeApplyViewCriteriaName

    public boolean removeApplyViewCriteriaName(java.lang.String name)

### buildViewCriteriaClauses

    public CriteriaClauses buildViewCriteriaClauses(ViewCriteria vc)

### getApplyViewCriterias

    public ViewCriteria[] getApplyViewCriterias(int criteriaMode)

### getAllViewCriteriaNames

    public java.lang.String[] getAllViewCriteriaNames()

### getAllViewCriterias

    public ViewCriteria[] getAllViewCriterias()

### getViewCriteriaClause

    public java.lang.String getViewCriteriaClause(boolean forQuery)

### criteriaChanged

    public void criteriaChanged(ViewCriteria vc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.